Bug 1478631 - [abrt] terminator: window.py:233:on_focus_out:TypeError: 'NoneType' object is not callable
[abrt] terminator: window.py:233:on_focus_out:TypeError: 'NoneType' object is...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: terminator (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b64960385e7803c2e1d03d3c8c5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-05 07:02 EDT by mov_ebpesp
Modified: 2017-12-12 05:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:18:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (668 bytes, text/plain)
2017-08-05 07:02 EDT, mov_ebpesp
no flags Details
File: environ (1.93 KB, text/plain)
2017-08-05 07:02 EDT, mov_ebpesp
no flags Details

  None (edit)
Description mov_ebpesp 2017-08-05 07:02:14 EDT
Version-Release number of selected component:
terminator-1.91-2.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python /usr/bin/terminator
executable:     /usr/bin/terminator
kernel:         4.11.12-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
window.py:233:on_focus_out:TypeError: 'NoneType' object is not callable

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/terminatorlib/window.py", line 233, in on_focus_out
    self.hidefunc()
TypeError: 'NoneType' object is not callable

Local variables in innermost frame:
terminal: <terminal.Terminal object at 0x7f835612e140 (terminatorlib+terminal+Terminal at 0xc9c63eb700)>
window: <window.Window object at 0x7f83590a2e60 (terminatorlib+window+Window at 0xc9c5d00530)>
event: <Gdk.EventFocus object at 0x7f8355198fc8 (void at 0xc9ccec21f0)>
self: <window.Window object at 0x7f83590a2e60 (terminatorlib+window+Window at 0xc9c5d00530)>
Comment 1 mov_ebpesp 2017-08-05 07:02:18 EDT
Created attachment 1309342 [details]
File: backtrace
Comment 2 mov_ebpesp 2017-08-05 07:02:20 EDT
Created attachment 1309343 [details]
File: environ
Comment 3 Fedora End Of Life 2017-11-16 10:28:32 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-12-12 05:18:14 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.